# Uses of Class
org.apache.datasketches.tuple.strings.ArrayOfStringsSummary

Packages that use ArrayOfStringsSummary
Package
Description
org.apache.datasketches.tuple.strings
This package is for a generic implementation of the Tuple sketch for single String value.

## Uses of ArrayOfStringsSummary in org.apache.datasketches.tuple.strings

Methods in org.apache.datasketches.tuple.strings that return ArrayOfStringsSummary
Modifier and Type
Method
Description
`ArrayOfStringsSummary`
ArrayOfStringsSummary.`copy()`
`ArrayOfStringsSummary`
ArrayOfStringsSummarySetOperations.`intersection(ArrayOfStringsSummary a, ArrayOfStringsSummary b)`
`ArrayOfStringsSummary`
ArrayOfStringsSummaryFactory.`newSummary()`
`ArrayOfStringsSummary`
ArrayOfStringsSummarySetOperations.`union(ArrayOfStringsSummary a, ArrayOfStringsSummary b)`
`ArrayOfStringsSummary`
ArrayOfStringsSummary.`update(String[] value)`
Methods in org.apache.datasketches.tuple.strings that return types with arguments of type ArrayOfStringsSummary
Modifier and Type
Method
Description
`DeserializeResult<ArrayOfStringsSummary>`
ArrayOfStringsSummaryDeserializer.`heapifySummary(org.apache.datasketches.memory.Memory mem)`
Methods in org.apache.datasketches.tuple.strings with parameters of type ArrayOfStringsSummary
Modifier and Type
Method
Description
`ArrayOfStringsSummary`
ArrayOfStringsSummarySetOperations.`intersection(ArrayOfStringsSummary a, ArrayOfStringsSummary b)`
`ArrayOfStringsSummary`
ArrayOfStringsSummarySetOperations.`union(ArrayOfStringsSummary a, ArrayOfStringsSummary b)`